doctype html
html
    head
        meta(charset='UTF-8')
        title feed-mamp
        link(rel='stylesheet', href='/styles.css')
        link(rel='stylesheet', href='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.css')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='https://cdn.jsdelivr.net/npm/chart.js@2.9.3')
        //script(src='https://cdn.jsdelivr.net/npm/luxon@1.22.1')
        script(src='https://cdn.jsdelivr.net/npm/chartjs-adapter-luxon@0.2.1')
        script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')
        script(src='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.js')

        
    body
        script(src='/js/feedmap.js')

        p.boxsmaller Feedmap: <b>"Artisan's Asylum"</b>
        //p.box <b>Feedmap Description:</b> "CO2 Monitors at Somerville Site"
        p.box <b>Feedmap Key:</b> 91def61d4e59f9b53d319355c6379d00b
        p.box <b>Feedmap Homepage:</b> <a href="">http://data.pvos.org/feedmaps/91def61d4e59f9b53d319355c6379d00b</a>
        p.box <b>Basemap (URL):</b> !{JSON.stringify(map_url)}
        p.box <b>Data Feeds in this Feedmap:</b>
        each val, i in feeds
            input#feed(type='checkbox' name='feed' checked)
            | !{val.feed_name} --- !{val.feedkey}
            br
        p 
        br
        div.flex-container(id='pop')
            div.flex-child
                canvas(id='chart' height='150px')
            div.flex-child
                p.map(id='image-map')
                //img(src=map_url)
                
        hr

        div
            form(action='/addtask' method='POST')
                    fieldset
                        h3 Add Datafeeds to Map:
                        //p Enter in the feed keys you'd like to display, one at a time:
                        input#newfeed(type='text' name='newfeed' placeholder='Feed key') 
                        |  -- the 'public key' for the feed you'd like to visualize.
                        br
                        input#xposition(type='text' name='xposition' placeholder='x position')
                        input#yposition(type='text' name='yposition' placeholder='y position')
                        |  -- x, y coordinates of the feed on the map (in pixels)
                        br
                        input#nickname(type='text' name='nickname' placeholder='short nickname')
                        |  -- a short nickname for this feed.
                        br
                        button(type='submit') Add New Data Feed
            form(action='/addtask' method='POST')
                   // fieldset
                        h3 Set the Basemap:
                        input#newtask(type='text' name='newfeed' placeholder='Feed key') 
                        |  -- URL for the map image (PNG, JPG, GIF) you'd like to use.
                        br
                        button(type='submit') Set Basemap URL
        //div.map(id='image-map')
        
        script. 
            makeMap('image-map',!{JSON.stringify(map_url)});
            console.log('yeah');

        script.  
            var bdata = !{JSON.stringify(bayoudata)};
            makeChartOverlay('chart',bdata,"co2");